#include <bits/stdc++.h>
using namespace std;

void solve(){
	int N;
	cin >> N;
	vector<int> A(N), B(N);
	for(int i = 0; i < N; i++){
		cin >> A[i];
	}
	for(int i = 0; i < N; i++){
		cin >> B[i];
	}
	vector<pair<int,int> > x;
	for(int i = 0; i < N; i++){
		x.push_back({A[i], B[i]});
	}
	sort(x.begin(), x.end());
	int ca = 0, cb = 0;
	int ans = 0;
	for(int i = 0; i < N; i++){
		int d1 = x[i].first - ca;
		int d2 = x[i].second - cb;
		if(d1 > d2){
			cout << -1 << '\n';
			return;
		}
		ans += d2 - d1;
		ca = x[i].first;
		cb = x[i].second;
	}
	cout << ans << '\n';
}

int main(){
	ios_base::sync_with_stdio(false), cin.tie(nullptr);
	int T;
	cin >> T;
	while(T--) solve();
}
